Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# APPSPACK::Evaluator::Interface Class Reference

`#include <APPSPACK_Evaluator_Interface.hpp>`

Inheritance diagram for APPSPACK::Evaluator::Interface:

[legend]
List of all members.

## Detailed Description

Abstract interface for a single function evaluation.

Abstract interface for the object that handles the evaluation of a single function evaluation. The SystemCall implementation is used by the default executables that are provided with APPSPACK.

See also Customizing the APPSPACK::Evaluator to change the way single function evaluations are handled.

Note that the Evaluator handles only a single function evaluation, and the Executor coordinates the parallel execution of the function evaluations.

Definition at line 68 of file APPSPACK_Evaluator_Interface.hpp.

## Public Member Functions
| Interface ()
| Constructor.
virtual | ~Interface ()
| Destructor.
virtual void | operator() (int tag_in, const Vector &x_in, bool &isF_out, double &f_out, string &msg_out)=0
| Do the function evaluation for the point x_in, and fill int he results.
virtual void | print () const
| Optional - prints information about the evaluator object.

## Constructor & Destructor Documentation

APPSPACK::Evaluator::Interface::Interface | ( |  | ) | `[inline]`

| Constructor. Definition at line 73 of file APPSPACK_Evaluator_Interface.hpp.

virtual APPSPACK::Evaluator::Interface::~Interface | ( |  | ) | `[inline, virtual]`

| Destructor. Definition at line 76 of file APPSPACK_Evaluator_Interface.hpp.

## Member Function Documentation

virtual void APPSPACK::Evaluator::Interface::operator() | ( | int | tag_in,
|  | const Vector & | x_in,
|  | bool & | isF_out,
|  | double & | f_out,
|  | string & | msg_out
| ) | `[pure virtual]`

  | Do the function evaluation for the point x_in, and fill int he results. Parameters:
  | tag_in | - Contains a unique tag which can be used to name files, etc.
  | x_in | - The point to be evaluated
  | isF_out | - On output, this should contain true if there is a valid function value
  | f_out | - On output, this should contain the function value
  | msg_out | - On output, this should contain a message about the function evaluation
Implemented in APPSPACK::Evaluator::SystemCall.

virtual void APPSPACK::Evaluator::Interface::print | ( |  | ) | const`[inline, virtual]`

| Optional - prints information about the evaluator object. Reimplemented in APPSPACK::Evaluator::SystemCall. Definition at line 90 of file APPSPACK_Evaluator_Interface.hpp. Referenced by APPSPACK::Executor::Serial::print().

The documentation for this class was generated from the following file:

- APPSPACK_Evaluator_Interface.hpp

© Sandia Corporation | Site Contact | Privacy and Security

Generated on Wed Dec 14 18:41:05 2005 for APPSPACK 4.0.2 by 1.3.8 written by Dimitri van Heesch, © 1997-2002